예제 #1
0
 public static Snap.NX.CoordinateSystem Wrap(Tag nxopenCoordinateSystemTag)
 {
     if (nxopenCoordinateSystemTag == Tag.Null)
     {
         throw new ArgumentException("Input tag is NXOpen.Tag.Null");
     }
     NXOpen.CoordinateSystem objectFromTag = Snap.NX.NXObject.GetObjectFromTag(nxopenCoordinateSystemTag) as NXOpen.CoordinateSystem;
     if (objectFromTag == null)
     {
         throw new ArgumentException("Input tag doesn't belong to an NXOpen.CoordinateSystem object");
     }
     return(objectFromTag);
 }
예제 #2
0
 internal CoordinateSystem(NXOpen.CoordinateSystem csys) : base(csys)
 {
     base.NXOpenTaggedObject = csys;
 }